summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xupdater.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/updater.sh b/updater.sh
index d092235..5baad86 100755
--- a/updater.sh
+++ b/updater.sh
@@ -39,6 +39,12 @@ else
DATA_SIZE='442499072'
fi
+# check for old/non-cwm recovery.
+if ! /tmp/busybox test -n "$UPDATE_PACKAGE" ; then
+ # scrape package location from /tmp/recovery.log
+ UPDATE_PACKAGE=`/tmp/busybox cat /tmp/recovery.log | /tmp/busybox grep 'Update location:' | /tmp/busybox tail -n 1 | /tmp/busybox cut -d ' ' -f 3-`
+fi
+
# check if we're running on a bml, mtd (old) or mtd (current) device
if /tmp/busybox test -e /dev/block/bml7 ; then
# we're running on a bml device